gio-0.13.1.0: Binding to the GIO.

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Icons.EmblemedIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype EmblemedIcon = EmblemedIcon (ForeignPtr EmblemedIcon)
- class GObjectClass o => EmblemedIconClass o
- emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon
- emblemedIconGetIcon :: EmblemedIconClass emblemed => emblemed -> IO Icon
- emblemedIconGetEmblems :: EmblemedIconClass emblemed => emblemed -> IO [Emblem]
- emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO ()

# Details

`EmblemedIcon` is an implementation of `Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `emblemedIconAddEmblem`.

Note that `Emblem`edIcon allows no control over the position of the emblems. See also `Emblem` for more information.

# Types

newtype EmblemedIcon Source

Constructors

EmblemedIcon (ForeignPtr EmblemedIcon) |

Instances

Eq EmblemedIcon Source |
Ord EmblemedIcon Source |
GObjectClass EmblemedIcon Source |
EmblemedIconClass EmblemedIcon Source |

class GObjectClass o => EmblemedIconClass o Source

Instances

EmblemedIconClass EmblemedIcon Source |

# Methods

emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon Source

Creates a new emblemed icon for icon with the emblem emblem.

emblemedIconGetIcon Source

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO Icon | returns a `Icon` that is owned by emblemed

Gets the main icon for emblemed.

emblemedIconGetEmblems Source

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO [Emblem] | returns a list of `Emblem` s that is owned by emblemed

Gets the list of emblems for the icon.

emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO () Source

Adds emblem to the `Emblem`.